=== debian/changelog ===
cdd-doc (0.2) unstable; urgency=low

  * Fixed typo in description
    Closes: #246815
  * Updated descriptions of the tools in cdd package
  * Many additions and enhancements after conference in Valencia

 -- Andreas Tille <tille@debian.org>  Sun, 02 May 2004 18:29:38 +0100
 

cdd-doc (0.1) unstable; urgency=low

  * Initial release.
    Closes: #242364

 -- Andreas Tille <tille@debian.org>  Sun, 21 Mar 2004 18:29:38 +0100
