## cdd-doc 0.3

=== Makefile ===
--- 
+++ 
@@ -73,7 +73,7 @@
 dist:
 	target=$(pkg)-`cat VERSION` ; \
 	mkdir -p $${target} ; \
-	rsync -azult Makefile *.sgml en debian --exclude=CVS $${target} ; \
+	rsync -azult Makefile *.sgml en debian --exclude=CVS --exclude=.svn $${target} ; \
 	GZIP=-9 tar -czf $(pkg)_`cat VERSION`.tar.gz $${target} ; \
 	rm -rf $${target}
