=== debian/changelog ===
cdd-doc (0.3) unstable; urgency=medium

  * Changed license to GPL according to a hint of Dann
    Frazier <dannf@dannf.org>.  Ben Armstrong who wrote major
    parts of this document agreed to this license change.
    This change is the reason for the medium urgency to get
    the free license into Sarge.
  * Release a similar version number according to the
    cdd package because cdd 0.4 will undergo major changes
    regarding the technique.
  * Several enhancements of contents
  * Fixes for spelling grammar and contents provided by several
    people especially Ben Armstrong.
  * Otavio Salvador
    - Added portugues.tex in flyer makefile.
    - Fix the build system to allow portugues.tex to work.
    (Remark: The flyer is not really part of the cdd-doc package but
     is available in the SVN repository.)

 -- Andreas Tille <tille@debian.org>  Wed, 30 Jun 2004 23:38:05 +0200
