=== debian/control ===
Source: cdd-doc
Section: doc
Priority: optional
Maintainer: Andreas Tille <tille@debian.org>
Standards-Version: 3.6.1
Build-Depends-Indep: debiandoc-sgml, tetex-bin, tetex-extra, debhelper (>= 4.0)

Package: cdd-doc
Architecture: all
Suggests: www-browser, postscript-viewer
Replaces: subproject-howto
Provides: subproject-howto
Description: Custom Debian Distribution documentation
 This paper is intended to people who are interested in the philosophy
 of Custom Debian Distributions and the technique which is used to
 manage those projects.
 .
 It is explained in detail why these are no forks from Debian but reside
 completely inside the Debian GNU/Linux distribution and which
 advantages can be gathered by this approach.  The concept of
 meta-packages and user role based menus is explained.  In short: This
 document describes why Custom Debian Distributions are important to
 the vitality and quality of Debian.
