=== debian/rules ===
#!/usr/bin/make -f
# debian/rules dor cdd-doc
# This file is public domain software, written by Andreas Tille.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

pkg := cdd-doc

build: build-stamp
build-stamp:
	dh_testdir

	$(MAKE) html
	$(MAKE) txt
	$(MAKE) pdf

	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp

	-$(MAKE) clean

	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

# Build architecture-independent files here.
binary-indep: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs
	dh_installdocs
	dh_install
	dh_installexamples
	dh_link
	dh_compress -X.pdf
	dh_fixperms
	dh_installdeb
	dh_gencontrol
	dh_md5sums
	dh_builddeb

# Build architecture-dependent files here.
binary-arch: build install
# We have nothing to do by default.

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install
